Subject: Ticket Assigned - WORST EXPERIENCE!!!!
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 17 Nov 2022 16:55:45 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  WORST EXPERIENCE!!!! VERY BAD EXPERIENCE!!!!

I ordered my dress fews days back .. and i got the message to collect
monday (14/11/2022) which I couldn’t collect due to a situation.. and when
i went to the location WHICH I SELECTED (Juffair) . I waited for THIRTY
MINUTES.. and the staff just IGNORED… 30 minutes and there was  only 1
staff..  Is the “click and collect “ counter just for show????? DO THE NEED
FUULLL!!!!!

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5288821